Package ru.bitel.bgbilling.kernel.base.phone.common.bean

# Class RangeMapItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.base.phone.common.bean.RangeMapItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class RangeMapItem extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RangeMapItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getRangeFrom()`
  `String`
  `getRangeTo()`
  `boolean`
  `matches(String code)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setRangeFrom(String rangeFrom)`
  `void`
  `setRangeTo(String rangeTo)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### RangeMapItem

    public RangeMapItem()

- ## Method Details

  - ### getRangeFrom

    public String getRangeFrom()

  - ### setRangeFrom

    public void setRangeFrom(String rangeFrom)

  - ### getRangeTo

    public String getRangeTo()

  - ### setRangeTo

    public void setRangeTo(String rangeTo)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### matches

    public boolean matches(String code)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)